import { styleTags, tags } from "@codemirror/highlight";
export const styleNodeProp = styleTags({
    Comment: tags.comment,
    Identifier: tags.typeName,
    Term: tags.name,
    "Class/Term": [tags.className, tags.strong],
    "Product/Term Coproduct/Term": tags.propertyName,
    URI: tags.atom,
    "Reference/Pointer": tags.operator,
    "Reference/Term": [tags.className, tags.strong],
    "OpenBrace CloseBrace": tags.brace,
    "OpenBracket CloseBracket": tags.bracket,
    "RightArrow LeftArrow": tags.separator,
    "NamespaceDefinition/Identifier": tags.name,
    NamespaceURI: [tags.url, tags.link],
    "namespace literal class": tags.keyword,
});
